/*
 Copyright 2015 Nicolas Melot

 This file is part of Pelib-SCC.

 Pelib-SCC is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Pelib-SCC is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Pelib-SCC. If not, see <http://www.gnu.org/licenses/>.

*/


/*
 * scc_printf.h
 *
 *  Created on: 17 Apr 2012
 *  Copyright 2012 Nicolas Melot
 *
 * This file is part of pelib-scc.
 * 
 *     pelib-scc is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     pelib-scc is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with pelib-scc. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#include <RCCE.h>

#ifndef SCC_PRINTF_H_
#define SCC_PRINTF_H_

#define PELIB_SCC_PRINTF_OUT "out-"
#define PELIB_SCC_PRINTF_ERR "err-"

void
pelib_scc_init_redirect();
void
pelib_scc_finalize_redirect();
void
pelib_scc_set_redirect();
void
pelib_scc_stop_redirect();

#endif /* SCC_PRINTF_H_ */
